new_ranking<-function(name_file)
{ 
  data<-read.csv(name_file,header=T,sep=";") ##load the new pursuit
  data<-Filter(function(x)!all(is.na(x)), data)
  if ((length(data$Sprint_rank)==0)|(any(data$Current_rank!=row.names(data)))) ##few test on the data loaded
      {stop('Check the format of your csv file. Please use the same of the example (including column names).')}

  data_tranf<-NULL
  for (i in 1:60)
  { if (length(which(data$Sprint_rank==i))>0)##to take into account withdrawals
    {data_tranf[i]<-which(data$Sprint_rank==i)}
  }
  
  old_rankings<-readRDS("old_rankings.rds") ##load the old rankings

  new_quant<-NULL
  for (i in 1:nrow(old_rankings))
  { ##compute the quantity q_{ki} for each biathlete
    new_quant[i]<-1-sum(old_rankings[i,]>=data_tranf[i],na.rm=T)/sum(!is.na(old_rankings[i,]))
  }  
  
  ##compute the new ranking
  data$Pursuit_score<-new_quant[data$Sprint_rank]
  data$New_pursuit_rank<-rank(data$Pursuit_score,ties.method = "first")
  
  ##export the results
  write.csv(data,file=paste("results_",name_file),row.names = F)
}
